Skip to main content
GET
/
import_batches
/
{id}
Retrieve an import batch
curl --request GET \
  --url https://api.endclose.com/v1/import_batches/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "data_stream_key": "<string>",
  "source": "csv_upload",
  "filename": "<string>",
  "record_count": 123,
  "total_credits": 123,
  "total_debits": 123,
  "net_amount": 123,
  "decimal_places": 2,
  "date_range_start": "2023-12-25",
  "date_range_end": "2023-12-25",
  "created_at": "2023-11-07T05:31:56Z",
  "records_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The unique identifier of the import batch

Response

Import batch retrieved successfully

id
integer
data_stream_key
string

Key of the data stream this import batch belongs to

source
enum<string>

How the records were imported

Available options:
csv_upload,
bulk_api
filename
string | null

Original filename for CSV uploads

record_count
integer

Number of records in this batch

total_credits
integer

Sum of credit amounts in cents

total_debits
integer

Sum of debit amounts in cents

net_amount
integer

Net amount in cents (credits minus debits)

decimal_places
integer
default:2

Number of decimal places (2 for USD)

date_range_start
string<date> | null

Earliest record date in the batch

date_range_end
string<date> | null

Latest record date in the batch

created_at
string<date-time>
records_url
string

URL to fetch records belonging to this batch